//	A2PixInterface.h
#ifndef _H_A2PixInterface
#define	_H_A2PixInterface

#include "Network.h"

#define		A2Pix_Creator		'a2px'
#define		A2Pix_FileType1		0x70062000
#define		A2Pix_FileType2		0x70064000
#define		A2Pix_FileType3		'06  '

class	COffscreen;
class	CFile;

Boolean		IsA2PixRunning(Net_ProcRec *procRecP = NULL);
void		LaunchA2Pix(void);

COffscreen	*Convert_A2Pix2Coffs(Net_ProcRec *procRecP, Handle mainH, Handle auxH);

void		SetPendingA2PixConvert(CFile *fileP);
void		HandlePendingA2PixConvert(void);

#endif